Skip to main content
GET
/
api
/
snoozes
List snoozes
curl --request GET \
  --url https://api.empirical.run/api/snoozes \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "snoozes": [
      {
        "id": 123,
        "test_ids": [
          "<string>"
        ],
        "snooze_until": "<string>",
        "description": "<string>",
        "created_from_test_run_id": 123,
        "created_by": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "scoped_to_environment_id": 123
      }
    ]
  },
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
per_page
integer
default:20

Items per page (max 100).

Required range: 1 <= x <= 100
environment_id
integer

Filter to snoozes scoped to this environment.

Required range: x >= 1
status
enum<string>
default:active

Filter by snooze status.

Available options:
active,
expired,
all

Response

Paginated list of snoozes.

data
object
required

The page of snoozes.

pagination
object
required

Pagination metadata.